PreorderBreadthFirstSelector (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class PreorderBreadthFirstSelector

    java.lang.Object
      org.neo4j.kernel.PreorderBreadthFirstSelector

All Implemented Interfaces:
  BranchSelector

    public class PreorderBreadthFirstSelector

extends Object
implements BranchSelector

Selects `TraversalBranch`s according to breadth first pattern, the most natural ordering in a breadth first search, see http://en.wikipedia.org/wiki/Breadth-first_search

Constructor Summary
`PreorderBreadthFirstSelector(TraversalBranch startSource, PathExpander expander)`

Method Summary
`TraversalBranch` | `next(TraversalContext metadata)` Decides the next position ("where to go from here") from the current position, based on the `rules`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreorderBreadthFirstSelector

    public PreorderBreadthFirstSelector(TraversalBranch startSource,
                                        PathExpander expander)

Method Detail

### next

    public TraversalBranch next(TraversalContext metadata)

  Description copied from interface: `BranchSelector`
  Decides the next position ("where to go from here") from the current position, based on the `rules`. Since `TraversalBranch` has the `Path.endNode()` of the position and the `Path.lastRelationship()` to how it got there as well as `TraversalBranch#position()`, decisions can be based on the current expansion source and the given rules.

  Specified by:
    `next` in interface `BranchSelector`
  Returns:
    the next position based on the current position and the `rules` of the traversal.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.